### A free/open-source library for quantitative finance

Classes | Typedefs
ql/termstructures/yield/ratehelpers.hpp File Reference

deposit, FRA, futures, and swap rate helpers More...

`#include <ql/termstructures/bootstraphelper.hpp>`
`#include <ql/instruments/vanillaswap.hpp>`
`#include <ql/instruments/bmaswap.hpp>`
`#include <ql/time/calendar.hpp>`
`#include <ql/time/daycounter.hpp>`
Include dependency graph for ratehelpers.hpp:

## Classes

class | FuturesRateHelper
| Rate helper for bootstrapping over IborIndex futures prices. More...
class | DepositRateHelper
| Rate helper for bootstrapping over deposit rates. More...
class | FraRateHelper
| Rate helper for bootstrapping over FRA rates. More...
class | SwapRateHelper
| Rate helper for bootstrapping over swap rates. More...
class | BMASwapRateHelper
| Rate helper for bootstrapping over BMA swap rates. More...

## Typedefs

typedef BootstrapHelper < YieldTermStructure > | RateHelper
typedef RelativeDateBootstrapHelper < YieldTermStructure > | RelativeDateRateHelper

## Detailed Description

deposit, FRA, futures, and swap rate helpers